function battle_bai040(npcID)--血手第二战
	local m=flag.GetBattleValue(16001)
	local n=flag.GetBattleValue(16002)
	n=n+1
	flag.SetBattleValue(16002,n)
	hp=battle.GetSelfHP(2)
	
	if n==1 then
		ui.Dialog(87028,188,0,0,2,0)--厉小哥，到底怎么了？！
		ui.Dialog(87029,162,0,0,8,0)--现在说什么他也听不进去，等他冷静下来再说。
		ui.Dialog(87030,526,0,0,1,0)--小心分寸，别伤了他！
	end
	if n<11 and hp>=50 then
		if m~=4 then
			local a=battle.GetRndNumber(1,10)
			if a>=1 and a<=4 then
				m=m+1
				flag.SetBattleValue(16001,m)
				id = battle.GetRndPlayer()
				battle.AtkToPlayer(id,1)
			elseif a>=5 and a<=8 then
				m=m+1
				flag.SetBattleValue(16001,m)
				id = battle.GetRndPlayer()
				battle.MagicToPlayer(id,335,1)
			else
				flag.SetBattleValue(16001,0)
				battle.MagicToPlayer(0,336,1)
			end
		else
			flag.SetBattleValue(16001,0)
			battle.MagicToPlayer(0,336,1)
		end
	elseif hp<50 then
		npc.SetAnim(npcID,25)
		ui.Dialog(87031,528,0,0,1,0)--不好，下手太重，厉兄快坚持不住了！
		battle.Loose()
	else
		battle.End()
	end
end